Bug 142184 - [new port]: haskell port converters/hs-json
Summary: [new port]: haskell port converters/hs-json
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-haskell (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-30 22:20 UTC by Jacula Modyun
Modified: 2010-01-03 00:46 UTC (History)
0 users

See Also:


Attachments
hs-json.shar (4.51 KB, text/plain)
2009-12-30 22:20 UTC, Jacula Modyun
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jacula Modyun 2009-12-30 22:20:04 UTC
json: Support for serialising Haskell to and from JSON.

http://hackage.haskell.org/package/json
Comment 1 Edwin Groothuis freebsd_committer 2009-12-30 22:20:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->haskell

haskell@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2010-01-02 23:26:07 UTC
pgj         2010-01-02 23:25:54 UTC

  FreeBSD ports repository

  Modified files:
    converters           Makefile 
  Log:
  JSON (JavaScript Object Notation) is a lightweight data-interchange
  format. It is easy for humans to read and write. It is easy for
  machines to parse and generate.  It is based on a subset of the
  JavaScript Programming Language, Standard ECMA-262 3rd Edition -
  December 1999.
  
  This library provides a parser and pretty printer for converting
  between Haskell values and JSON.
  
  WWW: http://hackage.haskell.org/package/json
  
  PR:             ports/142184
  Submitted by:   Jacula Modyun <jacula(at)gmail.com>
  
  Revision  Changes    Path
  1.171     +1 -0      ports/converters/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2010-01-02 23:26:55 UTC
pgj         2010-01-02 23:26:47 UTC

  FreeBSD ports repository

  Added files:
    converters/hs-json   Makefile distinfo pkg-descr pkg-plist 
  Log:
  JSON (JavaScript Object Notation) is a lightweight data-interchange
  format. It is easy for humans to read and write. It is easy for
  machines to parse and generate.  It is based on a subset of the
  JavaScript Programming Language, Standard ECMA-262 3rd Edition -
  December 1999.
  
  This library provides a parser and pretty printer for converting
  between Haskell values and JSON.
  
  WWW: http://hackage.haskell.org/package/json
  
  PR:             ports/142184
  Submitted by:   Jacula Modyun <jacula(at)gmail.com>
  
  Revision  Changes    Path
  1.1       +75 -0     ports/converters/hs-json/Makefile (new)
  1.1       +3 -0      ports/converters/hs-json/distinfo (new)
  1.1       +10 -0     ports/converters/hs-json/pkg-descr (new)
  1.1       +21 -0     ports/converters/hs-json/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Gabor Pali freebsd_committer 2010-01-03 00:45:44 UTC
State Changed
From-To: open->closed

The port has been added to the tree with minor nits.  Thanks!